# Class GetDisputeReply

#### Hierarchy

- unknown
  - GetDisputeReply

- Defined in src/protobuf/grpc_pb.d.ts:458
- Defined in src/protobuf/grpc_pb.d.ts:472

#####
Index

### Constructors

constructor

### Methods

clearDispute
getDispute
hasDispute
serializeBinary
setDispute
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetDisputeReply(): GetDisputeReply

- #### Returns GetDisputeReply

  Inherited from jspb.Message.constructor

## Methods

### clearDispute

- clearDispute(): GetDisputeReply

- #### Returns GetDisputeReply

  - Defined in src/protobuf/grpc_pb.d.ts:462

### getDispute

- getDispute(): undefined | Dispute

- #### Returns undefined | Dispute

  - Defined in src/protobuf/grpc_pb.d.ts:459

### hasDispute

- hasDispute(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:461

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:464

### setDispute

- setDispute(value?: Dispute): GetDisputeReply

- #### Parameters

  - ##### `Optional` value: Dispute

  #### Returns GetDisputeReply

  - Defined in src/protobuf/grpc_pb.d.ts:460

### toObject

- toObject(includeInstance?: boolean): GetDisputeReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetDisputeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:465

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDisputeReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDisputeReply

  - Defined in src/protobuf/grpc_pb.d.ts:468

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDisputeReply, reader: BinaryReader): GetDisputeReply

- #### Parameters

  - ##### message: GetDisputeReply

  - ##### reader: BinaryReader

  #### Returns GetDisputeReply

  - Defined in src/protobuf/grpc_pb.d.ts:469

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDisputeReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetDisputeReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:467

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetDisputeReply): GetDisputeReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDisputeReply

  #### Returns GetDisputeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:466

Generated using TypeDoc